function is_timestamp(s) {
	if (s ~ /^[0-9]:[0-9][0-9]$/) # M:SS
		return "0" s ":00";
	else if (s ~ /^[0-9][0-9]:[0-9][0-9]$/) # MM:SS
		return s ":00";
	else if (s ~ /^[0-9]:[0-9][0-9]:[0-9][0-9]$/) { # H:MM:SS
		H=substr(s, 1, 1);
		M=substr(s, 3, 2);
		S=substr(s, 6, 2);
		return (H*60+M) ":" S ":00";
	} else if (s ~ /^[0-9][0-9]:[0-9][0-9]:[0-9][0-9]$/) { # HH:MM:SS
		H=substr(s, 1, 2);
		M=substr(s, 4, 2);
		S=substr(s, 7, 2);
		return (H*60+M) ":" S ":00";
	} else
		return 0;
}

$1=="DISC"&&$2~/^[0-9]+$/&&$2".cue"!=CUE {
	CUE=$2 ".cue";
	TRACK=1;
	printf("") > CUE;
	printf("PERFORMER \"The Radioheads\"\n") >> CUE;
	printf("TITLE \"Ok Minidick %s\"\n", $2) >> CUE;
	printf("FILE \"%s.mp3\" MP3\n", $2) >> CUE;
}

CUE&&is_timestamp($1) {
	i=2;
	while ($i == "-" || $i == "/" || is_timestamp($i))
		i++;
	printf("  TRACK %02d AUDIO\n", TRACK++) >> CUE;
	printf("    TITLE \"") >> CUE;
	for (; i <= NF; i++)
		printf("%s%s", $i, i < NF ? " " : "") >> CUE;
	printf("\"\n") >> CUE;
	printf("    INDEX 01 %s\n", is_timestamp($1)) >> CUE;
}
